@identity_attributes
Feature:
    As a service
    In order to probe an identity
    I want to request attributes

    Scenario: Identity and roles
        Given an identity directory
        And the identity registry contains an identity
        And a roles directory
        And the roles directory contains roles
        And an identity registry
        When I request the attributes of an identity
        Then the attributes of the identity are returned

    @future
    Scenario: No roles
        Given an identity directory
        And the identity registry contains an identity
        And a roles directory
        And an identity registry
        When I request the attributes of an identity
        Then the attributes of the identity are returned

    Scenario: No identity or roles
        Given an identity directory
        And a roles directory
        And an identity registry
        When I request the attributes of an identity
        Then an identity error is thrown



