@role_attributes
Feature:
    As a service
    In order to authorize an identity
    I want to request attributes for a role

    Scenario: Role with attributes
        Given an identity directory
        And the identity registry contains an identity
        And a roles directory
        And the roles directory contains a role with attributes
        And an identity registry
        When I request the attributes of a role
        Then a role with attributes is returned

    Scenario: Just a role
        Given an identity directory
        And the identity registry contains an identity
        And a roles directory
        And the roles directory contains roles
        And an identity registry
        When I request the attributes of a role
        Then a role with empty attributes is returned

    Scenario: No roles
        Given an identity directory
        And the identity registry contains an identity
        And a roles directory
        And an identity registry
        When I request the attributes of a role
        Then nil is returned




