Given(/^the roles directory contains roles$/) do
  @orchestrator.given_roles
end

Given(/^an identity directory$/) do
  @orchestrator.given_identity_directory
end

Given(/^a roles directory$/) do
  @orchestrator.given_roles_directory
end

Given(/^an identity registry$/) do
  @orchestrator.given_identity_registry
end

Given(/^the identity registry contains an identity$/) do
  @orchestrator.given_identity
end

When(/^I request a list of roles$/) do
  @orchestrator.get_roles
end

Then(/^an empty list is returned$/) do
  expect(@orchestrator.no_roles?).to eq(true)
end

Then(/^an identity error is thrown$/) do
  expect(@orchestrator.identity_error?).to eq(true)
end

Then(/^a list of roles is returned$/) do
  expect(@orchestrator.roles?).to eq(true)
end

