@roles
Feature:
    As a service
    In order to authorize an identity
    I want to request a list of roles

    Scenario: Identity and roles
        Given an identity directory
        And the identity registry contains an identity
        And a roles directory
        And the roles directory contains roles
        And an identity registry
        When I request a list of roles
        Then a list of roles is returned

    Scenario: No roles
        Given an identity directory
        And a roles directory
        And the identity registry contains an identity
        And an identity registry
        When I request a list of roles
        Then an empty list is returned

    Scenario: No identity or roles
        Given an identity directory
        And a roles directory
        And an identity registry
        When I request a list of roles
        Then an empty list is returned



