Given(/^the roles directory contains a role with attributes$/) do
  @orchestrator.given_role_with_attributes
end

When(/^I request the attributes of a role$/) do
  @orchestrator.get_role_attributes
end

Then(/^nil is returned$/) do
  expect(@orchestrator.nil?).to eq(true)
end

Then(/^a role with attributes is returned$/) do
  expect(@orchestrator.role_with_attributes?).to eq(true)
end

Then(/^a role with empty attributes is returned$/) do
  expect(@orchestrator.role_with_empty_attributes?).to eq(true)
end

